-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseJunctionPseudoState

Declaration :

- C++ : class UmlBaseJunctionPseudoState : public UmlPseudoState
- Java : abstract class UmlBaseJunctionPseudoState extends UmlPseudoState

Directly inherited by : UmlJunctionPseudoState

Artifact : UmlBaseJunctionPseudoState

Operation create

Declaration :

- C++ : public: static UmlJunctionPseudoState * create(UmlItem * parent)
- Java : public static UmlJunctionPseudoState create(UmlItem parent) throws RuntimeException

returns a new junction pseudo state created under 'parent'
In case it cannot be created ('parent' cannot contain it etc ...) return 0 in C++ and produce a RuntimeException in Java

Operation kind

Declaration :

- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseJunctionPseudoState

Declaration :

- C++ : protected: UmlBaseJunctionPseudoState(void * id, const QCString & s) : UmlPseudoState(id, s)
- Java : protected UmlBaseJunctionPseudoState(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

All public operations :

apply , children , childrenVisible , create , defined_ , description , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload